# modules/msd/STM32F10x/msd_scsi.c File Reference

`#include <mios32.h>`
`#include <usb_lib.h>`
`#include <string.h>`
`#include "msd.h"`
`#include "msd_scsi.h"`
`#include "msd_bot.h"`
`#include "msd_memory.h"`

## Functions
void | MSD_SCSI_Inquiry_Cmd (uint8_t lun)
void | MSD_SCSI_ReadFormatCapacity_Cmd (uint8_t lun)
void | MSD_SCSI_ReadCapacity10_Cmd (uint8_t lun)
void | MSD_SCSI_ModeSense6_Cmd (uint8_t lun)
void | MSD_SCSI_ModeSense10_Cmd (uint8_t lun)
void | MSD_SCSI_RequestSense_Cmd (uint8_t lun)
void | MSD_Set_Scsi_Sense_Data (uint8_t lun, uint8_t Sens_Key, uint8_t Asc)
void | MSD_SCSI_Start_Stop_Unit_Cmd (uint8_t lun)
void | MSD_SCSI_Read10_Cmd (uint8_t lun, uint32_t LBA, uint32_t BlockNbr)
void | MSD_SCSI_Write10_Cmd (uint8_t lun, uint32_t LBA, uint32_t BlockNbr)
void | MSD_SCSI_Verify10_Cmd (uint8_t lun)
void | MSD_SCSI_Valid_Cmd (uint8_t lun)
void | MSD_SCSI_TestUnitReady_Cmd (uint8_t lun)
void | MSD_SCSI_Format_Cmd (uint8_t lun)
void | MSD_SCSI_Invalid_Cmd (uint8_t lun)
bool | MSD_SCSI_Address_Management (uint8_t lun, uint8_t Cmd, uint32_t LBA, uint32_t BlockNbr)

## Function Documentation

bool MSD_SCSI_Address_Management | ( | uint8_t | lun,
|  | uint8_t | Cmd,
|  | uint32_t | LBA,
|  | uint32_t | BlockNbr |
| ) |  |  |

Here is the call graph for this function:

void MSD_SCSI_Format_Cmd | ( | uint8_t | lun | ) |

Here is the call graph for this function:

void MSD_SCSI_Inquiry_Cmd | ( | uint8_t | lun | ) |

Here is the call graph for this function:

void MSD_SCSI_Invalid_Cmd | ( | uint8_t | lun | ) |

Here is the call graph for this function:

void MSD_SCSI_ModeSense10_Cmd | ( | uint8_t | lun | ) |

Here is the call graph for this function:

void MSD_SCSI_ModeSense6_Cmd | ( | uint8_t | lun | ) |

Here is the call graph for this function:

void MSD_SCSI_Read10_Cmd | ( | uint8_t | lun,
|  | uint32_t | LBA,
|  | uint32_t | BlockNbr |
| ) |  |  |

Here is the call graph for this function:

void MSD_SCSI_ReadCapacity10_Cmd | ( | uint8_t | lun | ) |

Here is the call graph for this function:

void MSD_SCSI_ReadFormatCapacity_Cmd | ( | uint8_t | lun | ) |

Here is the call graph for this function:

void MSD_SCSI_RequestSense_Cmd | ( | uint8_t | lun | ) |

Here is the call graph for this function:

void MSD_SCSI_Start_Stop_Unit_Cmd | ( | uint8_t | lun | ) |

Here is the call graph for this function:

void MSD_SCSI_TestUnitReady_Cmd | ( | uint8_t | lun | ) |

Here is the call graph for this function:

void MSD_SCSI_Valid_Cmd | ( | uint8_t | lun | ) |

Here is the call graph for this function:

void MSD_SCSI_Verify10_Cmd | ( | uint8_t | lun | ) |

Here is the call graph for this function:

void MSD_SCSI_Write10_Cmd | ( | uint8_t | lun,
|  | uint32_t | LBA,
|  | uint32_t | BlockNbr |
| ) |  |  |

Here is the call graph for this function:

void MSD_Set_Scsi_Sense_Data | ( | uint8_t | lun,
|  | uint8_t | Sens_Key,
|  | uint8_t | Asc |
| ) |  |  |